<?php
$category_icon_code = "";
$category_icon_color = "";
$your_image_url = "";
$caticoncolor="";
$category_icon ="";

	global $current_view_type;	
	global $permalink_type;	
?>
<div class="advTopBar">
	<div class="large-8 medium-6 columns tabb tabs data-tab responsive-tabber">
		<ul class="tabs" data-tab>
			<li class="tab-title active"><a href="#panel1"><?php esc_html_e( 'Latest Ads', 'classiera' ); ?></a></li>
			<li class="tab-title"><a href="#panel2"><?php esc_html_e( 'Popular Ads', 'classiera' ); ?></a></li>
			<li class="tab-title"><a href="#panel3"><?php esc_html_e( 'Random Ads', 'classiera' ); ?></a></li>
		</ul>
	</div><!-- End large-8-->
	<div class="large-4 medium-6 columns view tabs data-tab responsive-tabber">
		<span><?php esc_html_e( 'View As', 'classiera' ); ?></span>
		<a class="act1 <?php if($current_view_type == 'list'){ echo "active";} ?>" href="<?php echo get_category_link(get_cat_ID(single_cat_title('', false))).$permalink_type."view-type=list"; ?>"><i class="fa fa-list"></i></a>
		<a class="act3 <?php if($current_view_type == 'grid'){ echo "active";} ?>" href="<?php echo get_category_link(get_cat_ID(single_cat_title('', false))).$permalink_type."view-type=grid"; ?>"><i class="fa fa-th-large"></i></a> 
	</div><!-- End large-4-->
</div><!-- End advTopBar-->
<div class="row">
	<div class="advContent">
		<div class="tabs-content">
			<div class="content active clearfix" id="panel1">
			<div class="loop-content">
				<?php 
					global $paged, $wp_query, $wp;
					$args = wp_parse_args($wp->matched_query);
					if ( !empty ( $args['paged'] ) && 0 == $paged ) {
						$wp_query->set('paged', $args['paged']);
						$paged = $args['paged'];
					}
					$cat_id = get_cat_ID(single_cat_title('', false));
					$temp = $wp_query;
					$wp_query= null;
					$wp_query = new WP_Query();
					$wp_query->query('post_type=post&posts_per_page=12&paged='.$paged.'&cat='.$cat_id);
					$current = -1;
					$current2 = 0;
				?>
				<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++; ?>
				<div class="large-6 medium-6 columns advItems matchHeight end">
					<div class="advItem">
						<?php /*Start Image */
						if ( has_post_thumbnail()) {
								$imageurl = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'classiera-grid');
								$thumb_id = get_post_thumbnail_id($post->id);
								$alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
								?>
								<img src="<?php echo $imageurl[0]; ?>" alt="<?php if(empty($alt)){echo "Image";}else{ echo $alt; } ; ?>"/>
								<?php										
							}else{
								?>
								<img src="<?php echo get_template_directory_uri() . '/images/nothumb/nothumb370x300.png' ?>" alt="No Thumb"/>
								<?php
							}
							/*End Image */
							/*Get Category Extra Fields For Price Icon Background */
							$category = get_the_category();
									if ($category[0]->category_parent == 0) {
										$tag = $category[0]->cat_ID;
										$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
										if (isset($tag_extra_fields[$tag])) {
											$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
											$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
										}
									}else{
										$tag = $category[0]->category_parent;
										$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
										if (isset($tag_extra_fields[$tag])) {
											$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
											$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
										}
									}
									if(!empty($category_icon_code)) {
										$category_icon = stripslashes($category_icon_code);
									}
									$category_icon_code = "";
									$postCatgory = get_the_category( $post->ID );
							/*Get Category Extra Fields For Price Icon Background */
						?>
						<?php $post_price = get_post_meta($post->ID, 'post_price', true); 
							if(!empty($post_price)){
						?>
						<span class="price" style="background-color:<?php echo $category_icon_color; ?>"><?php echo $post_price; ?></span>
							<?php }?>
						<a class="hover" href="<?php the_permalink(); ?>"></a>
						<div class="info">
							<a href="<?php the_permalink(); ?>">
								<i class="<?php echo $category_icon; ?>" style="background-color:<?php echo $category_icon_color; ?>"></i>
								<?php 
								$theTitle = get_the_title();
								if(is_rtl()){
									$theTitle = get_the_title();
								}else{
									$theTitle = (strlen($theTitle) > 30) ? substr($theTitle,0,30).'...' : $theTitle;
								}
								?>
								<span class="title"><?php echo $theTitle; ?></span>
								<span class="cat"><?php esc_html_e( 'Category', 'classiera' ); ?> &nbsp;:&nbsp;<?php echo $postCatgory[0]->name; ?></span>
							</a>
						</div>
					</div><!-- End advItem-->
				</div><!-- End Single Post Entry-->
				<?php endwhile; ?>
			</div><!--loop-content-->
			<?php 
			global $redux_demo;
			$scroll = $redux_demo['infinite-scroll'];
			?>
			<?php if($scroll == 1){ ?>
				<?php echo infinite($wp_query); ?>
			<?php } ?>
			</div><!-- End panel1-->
			<?php $scroll = $redux_demo['infinite-scroll'];?>
			<?php if($scroll != 1){	?>
			<!-- Begin classiera_pagination-->
			<?php wp_reset_query(); ?>
			<?php //get_template_part('pagination'); ?>
			<!-- End classiera_pagination-->
			<?php } ?>
			
			<div class="content clearfix" id="panel2">
			<div class="loop-content2">
			<?php 
				global $paged, $wp_query, $wp;
				$args = wp_parse_args($wp->matched_query);
				if ( !empty ( $args['paged'] ) && 0 == $paged ) {
						$wp_query->set('paged', $args['paged']);
						$paged = $args['paged'];
					}
				$cat_id = get_cat_ID(single_cat_title('', false));
				$current = -1;
				$current2 = 0;
				$popularpost = new WP_Query( array( 'posts_per_page' => '12', 'cat' => $cat_id, 'posts_type' => 'post', 'paged' => $paged, 'meta_key' => 'wpb_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC'  ) );
				while ( $popularpost->have_posts() ) : $popularpost->the_post(); $current++; $current2++;
			?>
				<div class="large-6 medium-6 columns advItems matchHeight end">
					<div class="advItem">
						<?php /*Start Image */
						if ( has_post_thumbnail()) {
								$imageurl = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'classiera-grid');
								$thumb_id = get_post_thumbnail_id($post->id);
								$alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
								?>
								<img src="<?php echo $imageurl[0]; ?>" alt="<?php if(empty($alt)){echo "Image";}else{ echo $alt; } ; ?>"/>
								<?php										
							}else{
								?>
								<img src="<?php echo get_template_directory_uri() . '/images/nothumb/nothumb370x300.png' ?>" alt="No Thumb"/>
								<?php
							}
							/*End Image */
							/*Get Category Extra Fields For Price Icon Background */
							$category = get_the_category();
									if ($category[0]->category_parent == 0) {
										$tag = $category[0]->cat_ID;
										$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
										if (isset($tag_extra_fields[$tag])) {
											$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
											$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
										}
									}else{
										$tag = $category[0]->category_parent;
										$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
										if (isset($tag_extra_fields[$tag])) {
											$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
											$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
										}
									}
									if(!empty($category_icon_code)) {
										$category_icon = stripslashes($category_icon_code);
									}
									$category_icon_code = "";
									$postCatgory = get_the_category( $post->ID );
							/*Get Category Extra Fields For Price Icon Background */
						?>
						<?php $post_price = get_post_meta($post->ID, 'post_price', true); 
							if(!empty($post_price)){
						?>
						<span class="price" style="background-color:<?php echo $category_icon_color; ?>"><?php echo $post_price; ?></span>
							<?php }?>
						<a class="hover" href="<?php the_permalink(); ?>"></a>
						<div class="info">
							<a href="<?php the_permalink(); ?>">
								<i class="<?php echo $category_icon; ?>" style="background-color:<?php echo $category_icon_color; ?>"></i>
								<?php 
								$theTitle = get_the_title();
								if(is_rtl()){
									$theTitle = get_the_title();
								}else{
									$theTitle = (strlen($theTitle) > 30) ? substr($theTitle,0,30).'...' : $theTitle;
								}
								?>
								<span class="title"><?php echo $theTitle; ?></span>
								<span class="cat"><?php esc_html_e( 'Category', 'classiera' ); ?> &nbsp;:&nbsp;<?php echo $postCatgory[0]->name; ?></span>
							</a>
						</div>
					</div><!-- End advItem-->
				</div>
				<?php endwhile; ?>
				<!-- Begin classiera_pagination-->
				<?php //get_template_part('pagination'); ?>
				<!-- End classiera_pagination-->				
			</div><!--loop-content2-->
			<?php 
			global $redux_demo;
			$scroll = $redux_demo['infinite-scroll'];
			?>
			<?php if($scroll == 1){ ?>
				<?php echo infinite($popularpost); ?>
			<?php } ?>
			</div><!-- End panel2-->
			<?php $scroll = $redux_demo['infinite-scroll'];?>
			<?php if($scroll != 1){	?>
			<!-- Begin classiera_pagination-->
			<?php wp_reset_query(); ?>
			<?php get_template_part('pagination'); ?>
			<!-- End classiera_pagination-->
			<?php } ?>
			
			<div class="content clearfix" id="panel3">
			<div class="loop-content3">
				<?php 
					global $paged, $wp_query, $wp;
					$args = wp_parse_args($wp->matched_query);
					if ( !empty ( $args['paged'] ) && 0 == $paged ) {
						$wp_query->set('paged', $args['paged']);
						$paged = $args['paged'];
					}
					$cat_id = get_cat_ID(single_cat_title('', false));
					$temp = $wp_query;
					$wp_query= null;
					$wp_query = new WP_Query();
					$wp_query->query('orderby=title&post_type=post&posts_per_page=12&paged='.$paged.'&cat='.$cat_id);
					$current = -1;
					$current2 = 0;					
				?>
				<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++; ?>
				<div class="large-6 medium-6 columns advItems matchHeight end">
					<div class="advItem">
						<?php /*Start Image */
						if ( has_post_thumbnail()) {
								$imageurl = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'classiera-grid');
								$thumb_id = get_post_thumbnail_id($post->id);
								$alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
								?>
								<img src="<?php echo $imageurl[0]; ?>" alt="<?php if(empty($alt)){echo "Image";}else{ echo $alt; } ; ?>"/>
								<?php										
							}else{
								?>
								<img src="<?php echo get_template_directory_uri() . '/images/nothumb/nothumb370x300.png' ?>" alt="No Thumb"/>
								<?php
							}
							/*End Image */
							/*Get Category Extra Fields For Price Icon Background */
							$category = get_the_category();
									if ($category[0]->category_parent == 0) {
										$tag = $category[0]->cat_ID;
										$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
										if (isset($tag_extra_fields[$tag])) {
											$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
											$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
										}
									}else{
										$tag = $category[0]->category_parent;
										$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
										if (isset($tag_extra_fields[$tag])) {
											$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
											$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
										}
									}
									if(!empty($category_icon_code)) {
										$category_icon = stripslashes($category_icon_code);
									}
									$category_icon_code = "";
									$postCatgory = get_the_category( $post->ID );
									//print_r($postCatgory);
							/*Get Category Extra Fields For Price Icon Background */
						?>
						<?php $post_price = get_post_meta($post->ID, 'post_price', true); 
							if(!empty($post_price)){
						?>
						<span class="price" style="background-color:<?php echo $category_icon_color; ?>"><?php echo $post_price; ?></span>
							<?php }?>
						<a class="hover" href="<?php the_permalink(); ?>"></a>
						<div class="info">
							<a href="<?php the_permalink(); ?>">
								<i class="<?php echo $category_icon; ?>" style="background-color:<?php echo $category_icon_color; ?>"></i>
								<?php 
								$theTitle = get_the_title();
								if(is_rtl()){
									$theTitle = get_the_title();
								}else{
									$theTitle = (strlen($theTitle) > 30) ? substr($theTitle,0,30).'...' : $theTitle;
								}
								?>
								<span class="title"><?php echo $theTitle; ?></span>
								<span class="cat"><?php esc_html_e( 'Category', 'classiera' ); ?> &nbsp;:&nbsp;<?php echo $postCatgory[0]->name; ?></span>
							</a>
						</div>
					</div><!-- End advItem-->
				</div>
				<?php endwhile; ?>				
			</div><!--loop-content3-->
			<?php 
			global $redux_demo;
			$scroll = $redux_demo['infinite-scroll'];
			?>
			<?php if($scroll == 1){ ?>
				<?php echo infinite($wp_query); ?>
			<?php } ?>
			</div>	<!--End Panel3 -->
			<?php $scroll = $redux_demo['infinite-scroll'];?>
			<?php if($scroll != 1){	?>
			<!-- Begin classiera_pagination-->
			<?php wp_reset_query(); ?>
			<?php //get_template_part('pagination'); ?>
			<!-- End classiera_pagination-->
			<?php } ?>			
			
		</div><!-- End tabs-content-->
	</div><!-- End advContent-->
</div><!-- End Main Row-->